# Groups

## goup list

<mark style="color:green;">`POST`</mark> `/group/list`

#### Request Body

| Name                                       | Type | Description |
| ------------------------------------------ | ---- | ----------- |
| page<mark style="color:red;">\*</mark>     | Int  | from 0      |
| pageSize<mark style="color:red;">\*</mark> | Int  | eg: 10      |

## add a new group

<mark style="color:green;">`POST`</mark> `/group/add`

Add group

#### Request Body

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| groupName<mark style="color:red;">\*</mark> | String |             |
| sortNum                                     | Int    | sort by asc |

## update group info

<mark style="color:green;">`POST`</mark> `/group/edit`

#### Request Body

| Name                                        | Type   | Description         |
| ------------------------------------------- | ------ | ------------------- |
| id<mark style="color:red;">\*</mark>        | String | group ID            |
| groupName<mark style="color:red;">\*</mark> | String |                     |
| sortNum                                     | Int    | sort by new sortNum |

## delete a exist group by id

<mark style="color:green;">`POST`</mark> `/group/delete`

#### Request Body

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | String |             |

## get group detail

<mark style="color:green;">`POST`</mark> `/group/detail`

#### Request Body

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | String |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.bitbrowser.net/api-docs/groups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
